## golang-github-vulcand-oxy 1.3.0

=== Makefile ===
.PHONY: all

export GO111MODULE=on

PKGS := $(shell go list ./... | grep -v '/vendor/')
GOFILES := $(shell go list -f '{{range $$index, $$element := .GoFiles}}{{$$.Dir}}/{{$$element}}{{"\n"}}{{end}}' ./... | grep -v '/vendor/')
TXT_FILES := $(shell find * -type f -not -path 'vendor/**')

default: clean misspell vet check-fmt test

test: clean
	go test -race -cover $(PKGS)

test-verbose: clean
	go test -v -race -cover $(PKGS)

clean:
	find . -name flymake_* -delete
	rm -f cover.out

lint:
	echo "golint:"
	golint -set_exit_status $(PKGS)

vet:
	go vet $(PKGS)

checks: vet lint check-fmt
	staticcheck $(PKGS)
	gosimple $(PKGS)

check-fmt: SHELL := /bin/bash
check-fmt:
	diff -u <(echo -n) <(gofmt -d $(GOFILES))

misspell:
	misspell -source=text -error $(TXT_FILES)

test-package: clean
	go test -v ./$(p)

test-grep-package: clean
	go test -v ./$(p) -check.f=$(e)

cover-package: clean
	go test -v ./$(p)  -coverprofile=/tmp/coverage.out
	go tool cover -html=/tmp/coverage.out

sloccount:
	 find . -path ./vendor -prune -o -name "*.go" -print0 | xargs -0 wc -l

=== debian/changelog ===
golang-github-vulcand-oxy (1.3.0-3) unstable; urgency=medium

  * Write patch to fix test on 32 bit arch.

 -- Aloïs Micard <creekorful@debian.org>  Thu, 09 Sep 2021 20:54:29 +0200

golang-github-vulcand-oxy (1.3.0-2) unstable; urgency=medium

  * Source only upload.
  * d/control: Bump S-V.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 24 Aug 2021 22:43:05 +0200

golang-github-vulcand-oxy (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #991675)

 -- Aloïs Micard <creekorful@debian.org>  Sat, 31 Jul 2021 11:20:34 +0200

=== debian/control ===
Source: golang-github-vulcand-oxy
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-codahale-hdrhistogram-dev,
               golang-github-mailgun-multibuf-dev,
               golang-github-mailgun-timetools-dev,
               golang-github-mailgun-ttlmap-dev,
               golang-github-segmentio-fasthash-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               golang-github-vulcand-predicate-dev,
               golang-golang-x-net-dev,
               golang-logrus-dev,
               golang-websocket-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vulcand-oxy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vulcand-oxy.git
Homepage: https://github.com/vulcand/oxy
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/vulcand/oxy

Package: golang-github-vulcand-oxy-dev
Architecture: all
Depends: golang-github-codahale-hdrhistogram-dev,
         golang-github-mailgun-multibuf-dev,
         golang-github-mailgun-timetools-dev,
         golang-github-mailgun-ttlmap-dev,
         golang-github-segmentio-fasthash-dev,
         golang-github-vulcand-predicate-dev,
         golang-golang-x-net-dev,
         golang-logrus-dev,
         golang-websocket-dev,
         ${misc:Depends}
Description: Go middlewares for HTTP servers & proxies (library)
 Oxy is a Go library with HTTP handlers that enhance the HTTP
 standard library. It Provides a Buffer, Forwarder, Circuit Breaker,
 Rate limiter middlewares, and much more.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-vulcand-oxy-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/vulcand/oxy/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-vulcand-oxy 2.0.0

=== Makefile ===
.PHONY: default clean checks test test-verbose

export GO111MODULE=on

default: clean checks test

test: clean
	go test -race -cover -count 1 ./...

test-verbose: clean
	go test -v -race -cover ./...

clean:
	find . -name flymake_* -delete
	rm -f cover.out

checks:
	golangci-lint run

=== debian/changelog ===
golang-github-vulcand-oxy (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Do not add Depends and Build-Depends on tzdata-legacy.
  * Disable single test which does no longer work with new tzdata.
    Closes: #1084262.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Nov 2024 13:40:00 +0100

golang-github-vulcand-oxy (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Add Depends and Build-Depends on tzdata-legacy.
    Closes: #1084262.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Nov 2024 00:32:00 +0100

golang-github-vulcand-oxy (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * d/control:
    - Bump Standards-Version to 4.7.0.
    - Change XS-Go-Import-Path.
  * d/patches:
    - Drop patch that has been upstreamed.
  * d/copyright:
    - Bump copyright year.
  * d/source:
    - Add lintian overrides.

 -- Aloïs Micard <creekorful@debian.org>  Sun, 18 Aug 2024 17:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,14 @@
                golang-github-vulcand-predicate-dev,
                golang-golang-x-net-dev,
                golang-logrus-dev,
-               golang-websocket-dev
-Standards-Version: 4.6.0
+               golang-websocket-dev,
+               golang-github-hdrhistogram-hdrhistogram-go-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vulcand-oxy
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vulcand-oxy.git
 Homepage: https://github.com/vulcand/oxy
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/vulcand/oxy
+XS-Go-Import-Path: github.com/vulcand/oxy/v2
 
 Package: golang-github-vulcand-oxy-dev
 Architecture: all
